Quasar Framework i18n



  • Hi !

    I got this error after updating to the latest version of Quasar :

    Uncaught (in promise) Error: Cannot find module './fr-fr' at eval (eval at ./node_modules/quasar-framework/i18n lazy recursive ^\.\/.*$ (47.js:33), <anonymous>:325:12)

    I didn’t have it before and it looks like it’s because in the i18n of quasar-framework, it’s not ‘fr-fr’ but only ‘fr’ when this.$q.i18n.getLocale() return ‘fr-fr’…

    I fixed it in an ugly way but is it a framework issue or is it normal that this.$q.i18n.getLocale() doesn’t return the same string as the associated folder in ‘/node_modules/quasar-framework/i18n’ ?

    Thanks in advance for your help guys !